$('.topic-video').on('click', '.icon-play',function() {
    
    var player = new Txp.Player({
        containerId: 'videoplayer',
        vid: $(this).data('vid')
    });

    player.on('ready', function() {
        $('.videoposter').hide()
        $('#videoplayer').show()
    })
})